Cancel Billing Agreement

Cancels an existing billing agreement using its token. *Deprecated. For new integrations, see [Grants](https://afterpay.docs.buildwithfern.com/afterpay-online-developer/api-reference/reference/grants/start-grant-approval).*

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

tokenstringRequired
The unique identifier token of the billing agreement to cancel

Headers

User-AgentstringRequired

Response

Billing agreement cancelled successfully
tokenstring
Unique token identifying the agreement
type"BILLING"
Type of agreement
statusenum
Current status of the agreement
createddatetime
Timestamp when the agreement was created
merchantReferencestringOptional
Merchant's reference for this agreement
cancelleddatetimeOptional
If present, indicates when the agreement was cancelled
expiresdatetimeOptional
If present, indicates when the agreement's status will become EXPIRED, preventing a client from using it to create payments
eventslist of objectsOptional
List of events associated with this agreement
requestIdstringOptional
Unique identifier for the request
consumerReferencestringOptional
Reference identifier for the consumer
emailstringOptional
Masked email address of the consumer

Errors

403
Cancel Billing Agreement Body Forbidden Error
404
Cancel Billing Agreement Body Not Found Error